Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		enca
#Epoch:		0
Version:	1.13
Release:	1
License:	GNU/GPL
# website is currently out of order
# took the sources mirrored on
# http://repository.slacky.eu/slackware-12.0/office/enca/1.9/src/
URL:		http://trific.ath.cx/software/enca/
Group:		System/Libraries
Summary:	extremely naive charset analyzer
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:
Requires:	sed

# BuildRequires:
BuildRequires: recode-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
Enca is an Extremely Naive Charset Analyser. It detects character set and
encoding of text files and can also convert them to other encodings using
either a built-in convertor or external libraries and tools like libiconv,
librecode, or cstocs.

Currently, it has support for Belarussian, Bulgarian, Croatian, Czech,
Estonian, Latvian, Lithuanian, Polish, Russian, Slovak, Slovene, Ukrainian,
Chinese, and some multibyte encodings (mostly variants of Unicode)
independent on the language.

This package also contains shared Enca library other programs can make use of.

Install Enca if you need to cope with text files of dubious origin
and unknown encoding and convert them to some reasonable encoding.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog ChangeLog.prelib FAQ INSTALL NEWS README README.devel THANKS TODO
%{_bindir}/enca
%{_bindir}/enconv
%{_libexecdir}/enca
%{_libdir}/libenca.so.*
%{_mandir}/man1/enca.1.gz
%{_mandir}/man1/enconv.1.gz

%files devel
%defattr(-,root,root)
%{_pkgconfig}/enca.pc
%{_includedir}/enca.h
%{_datadir}/gtk-doc/html/libenca/
%{_libdir}/libenca.so
%{_libdir}/libenca.a
%{_libdir}/libenca.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.13-1
- version update
* Thu Jul 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.9-1
- initial CCux package release
